Update individual fields of a checkpoint

View as Markdown

Update specific fields of the checkpoint.

Required scope: air:simulation_edit (roles: air_org_admin, air_user)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this checkpoint.

Request

This endpoint expects an object.
namestringOptional<=128 characters
A customizable name.
favoritebooleanOptional
If the checkpoint should be favored over others when Air determines which checkpoints should be automatically deleted.

Response

idstringRead-onlyformat: "uuid"
runstringRead-onlyformat: "uuid"
The run during which the checkpoint was created.
stateenum

The current state of the checkpoint.

  • PENDING - Pending
  • COMPLETE - Complete
  • DELETED - Deleted
metadataanyRead-only
Metadata associated with the checkpoint.
createddatetimeRead-only
modifieddatetimeRead-only
namestringOptional<=128 characters
A customizable name.
favoritebooleanOptional
If the checkpoint should be favored over others when Air determines which checkpoints should be automatically deleted.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error